Bug 247235 - postfix can't access maildrop
Summary: postfix can't access maildrop
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted   
(Show other bugs)
Version: 7
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-06 07:43 UTC by Thorsten Scherf
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-16 20:35:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Thorsten Scherf 2007-07-06 07:43:36 UTC
Description of problem:
postfix could not deliver mails out of the maildrop

type=AVC msg=audit(1183706857.726:17363): avc:  denied  { read } for  pid=25575
comm="pickup" name="6613C191933" dev=sda2 ino=1644851
scontext=user_u:system_r:postfix_pickup_t:s0
tcontext=user_u:object_r:postfix_spool_maildrop_t:s0:c11 tclass=file
type=SYSCALL msg=audit(1183706857.726:17363): arch=40000003 syscall=5
success=yes exit=10 a0=800857e8 a1=800 a2=0 a3=0 items=0 ppid=25573 pid=25575
auid=500 uid=89 gid=89 euid=89 suid=89 fsuid=89 egid=89 sgid=89 fsgid=89
tty=(none) comm="pickup" exe="/usr/libexec/postfix/pickup"
subj=user_u:system_r:postfix_pickup_t:s0 key=(null)


Version-Release number of selected component (if applicable):
selinux-policy-targeted-2.6.4-23.fc7

How reproducible:
write a mail
postsuper -r ALL


Steps to Reproduce:
1.
2.
3.
  
Actual results:
mail will not be delivered

Expected results:
mail will be delivered

Additional info:

Comment 1 Daniel Walsh 2007-07-06 15:05:34 UTC
The problem here is that you have a sensitivity on the
user_u:object_r:postfix_spool_maildrop_t:s0:c11

s0 is not allowed to read s0:c11


Note You need to log in before you can comment on or make changes to this bug.